#ifndef PIAPPLMAC_H_SEEN
#define PIAPPLMAC_H_SEEN

#include "piapplgen.h"

class LApplication;
class PIApplicationMac : public PIApplicationGen {
public:
					PIApplicationMac(int sx=200, int sy=30, int narg=0, char *arg[]=NULL);
	virtual		   ~PIApplicationMac();
	
	virtual void    Run();
	virtual void    Stop();
	
        virtual void              PrefCompSz(int& szx, int& szy);
        virtual void              ScreenSz(int& szx, int& szy);

        virtual void              RedirectOutStream(PIConsole* cons, unsigned char va= PIVA_Def);
        virtual void              RedirectErrStream(PIConsole* cons, unsigned char va= PIVA_Ital);
//protected:
	LApplication* macAppli;
};

typedef PIApplicationMac PIApplication;

//  Pour recuperer un objet PIApplication 
PIApplication* PIApplicationGetApp();
#endif
